Package: org.codehaus.groovy.grails.web.pages

## [Java] Class GroovyPageBinding

- org.codehaus.groovy.grails.web.pages.GroovyPageBinding

- Script Binding that is used in GSP evaluation.

  Authors:
    Lari Hotari

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyPageBinding ()`
    `GroovyPageBinding (groovy.lang.Binding parent)`
    `GroovyPageBinding (java.lang.String pluginContextPath)`
    `GroovyPageBinding (java.util.Map variables)`
    `GroovyPageBinding (java.lang.String[] args)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `addMap(java.util.Map additionalBinding)`
    `GroovyPage` | `getOwner()`
    `GrailsPlugin` | `getPagePlugin()`
    `groovy.lang.Binding` | `getParent()`
    `java.lang.String` | `getPluginContextPath()`
    `java.lang.Object` | `getProperty(java.lang.String property)`
    `java.lang.Object` | `getVariable(java.lang.String name)`
    `java.util.Set<java.lang.String>` | `getVariableNames()`
    `boolean` | `isRoot()`
    `void` | `setOwner(GroovyPage owner)`
    `void` | `setPagePlugin(GrailsPlugin plugin)`
    `void` | `setParent(groovy.lang.Binding parent)`
    `void` | `setPluginContextPath(java.lang.String pluginContextPath)`
    `void` | `setProperty(java.lang.String property, java.lang.Object newValue)`
    `void` | `setRoot(boolean root)`
    `void` | `setVariable(java.lang.String name, java.lang.Object value)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractGroovyPageBinding` | `getVariableNames, getVariables, getVariablesMap, setVariableDirectly`
    `class groovy.lang.Binding` | `groovy.lang.Binding#setProperty(java.lang.String, java.lang.Object), groovy.lang.Binding#getProperty(java.lang.String), groovy.lang.Binding#getVariable(java.lang.String), groovy.lang.Binding#hasVariable(java.lang.String), groovy.lang.Binding#setVariable(java.lang.String, java.lang.Object), groovy.lang.Binding#getVariables(), groovy.lang.Binding#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.Binding#getMetaClass(), groovy.lang.Binding#setMetaClass(groovy.lang.MetaClass), groovy.lang.Binding#wait(long, int), groovy.lang.Binding#wait(long), groovy.lang.Binding#wait(), groovy.lang.Binding#equals(java.lang.Object), groovy.lang.Binding#toString(), groovy.lang.Binding#hashCode(), groovy.lang.Binding#getClass(), groovy.lang.Binding#notify(), groovy.lang.Binding#notifyAll()`

- - ### Constructor Detail

    - #### public GroovyPageBinding()

    - #### public GroovyPageBinding(groovy.lang.Binding parent)

    - #### public GroovyPageBinding(java.lang.String pluginContextPath)

    - #### @java.lang.SuppressWarnings("rawtypes") public GroovyPageBinding(java.util.Map variables)

    - #### public GroovyPageBinding(java.lang.String[] args)

  - ### Method Detail

    - #### @java.lang.SuppressWarnings({ "rawtypes", "unchecked" }) public void addMap(java.util.Map additionalBinding)

    - #### public GroovyPage getOwner()

    - #### public GrailsPlugin getPagePlugin()

    - #### public groovy.lang.Binding getParent()

    - #### public java.lang.String getPluginContextPath()

    - #### @java.lang.Override public java.lang.Object getProperty(java.lang.String property)

    - #### @java.lang.SuppressWarnings("unchecked") @java.lang.Override public java.lang.Object getVariable(java.lang.String name)

    - #### @java.lang.SuppressWarnings("unchecked") @java.lang.Override public java.util.Set<java.lang.String> getVariableNames()

    - #### public boolean isRoot()

    - #### public void setOwner(GroovyPage owner)

    - #### @java.lang.SuppressWarnings("unchecked") public void setPagePlugin(GrailsPlugin plugin)

    - #### public void setParent(groovy.lang.Binding parent)

    - #### @java.lang.SuppressWarnings("unchecked") public void setPluginContextPath(java.lang.String pluginContextPath)

    - #### @java.lang.Override public void setProperty(java.lang.String property, java.lang.Object newValue)

    - #### public void setRoot(boolean root)

    - #### @java.lang.Override public void setVariable(java.lang.String name, java.lang.Object value)